Bug 247634 - RFE: photo-friendly layout style (or other features?) in impress
RFE: photo-friendly layout style (or other features?) in impress
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Navratil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-10 11:40 EDT by Luis Villa
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 10:24:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 27821 None None None Never
OpenOffice.org 42352 None None None Never
OpenOffice.org 46257 None None None Never
OpenOffice.org 47952 None None None Never
OpenOffice.org 49717 None None None Never
OpenOffice.org 82911 None None None Never

  None (edit)
Description Luis Villa 2007-07-10 11:40:19 EDT
(Total bluesky enhancement request.)

request: It would be nice if there were a layout (and perhaps other tweaks?)
which made it easy to do slideshows which are extremely image-intensive.

rationale: Lots of people (including myself) are starting to move to or
experiment with extremely image-rich presentations- basically, where a picture
is the background and there is no border. See, for example:

http://www.garrreynolds.com/Presentation/images/1_images/0008.jpg

And more generally many of the examples in:
http://www.garrreynolds.com/Presentation/sample1.html

This is unfortunately a gigantic PITA in OOo; I still haven't figured out how to
do it well. It would be great if it were easier, perhaps with a template that
layered text over a full-slide image object, but I'm not sure if/how that would
work. At any rate, the current default layouts practically force you to make
ugly slides. :)
Comment 1 Caolan McNamara 2007-07-11 04:24:53 EDT
I don't really know why we have such an overblown dialog for setting
super-complex gradiants and hatching and patterns, and no simple 
right click->background->from file or something. 

Real long running bug
Comment 2 Luis Villa 2007-07-11 07:19:33 EDT
Oy.
Comment 3 Caolan McNamara 2007-07-27 09:21:53 EDT
There are a couple of possibilities here.

Firstly is jan's PhotoAlbum maker extension, download
http://people.redhat.com/caolanm/PhotoAlbum/PhotoAlbum0.4.zip
and use i.e. tools->extension manager->add and select the zip
That gives us a mass import menu for creating a slideshow and random fades from
a photo collection, e.g. speedy wedding slideshow creation. I don't think (?)
this is really what you have in mind here.

Secondly is for "generic" slideshows, to give an easy way to insert a picture,
which breaks down into pictures that we want to be the background image for the
slide. Or just a picture we're inserting into the slide to go alongside the rest
of the content. We have insert picture, so I guess we're looking at the classic
"how to easily stick a picture in as the background for a slide"

So, how about a right click on slide and add a new entry to the dropdown to set
the background of one slide, and allow a picture to be selected there ?
Comment 4 Luis Villa 2007-07-27 09:28:42 EDT
That sounds like it would cover the bulk of the cases I have in mind. Wouldn't
be perfect, but I have a sense that to be perfect you'd have to do deeper
investigation into what the competition does (and what master presentation
artists use) which, well, I'm guessing that isn't happening any time soon ;)
Comment 5 Joe Smith 2007-11-13 14:01:30 EST
You may wish to follow http://www.openoffice.org/issues/show_bug.cgi?id=82911
Comment 6 Caolan McNamara 2007-11-13 14:54:25 EST
That's why we have that issue jan submitted is in the list of issuezilla issues
at the bottom of this tracker entry.
Comment 7 Caolan McNamara 2007-11-21 05:54:44 EST
Jan, do you want to close this as "fixed upstream", or do you want to backport
the fix to rawhide ?
Comment 8 Jan Navratil 2007-11-21 10:25:20 EST
I've submitted the patch to rawhide.

Note You need to log in before you can comment on or make changes to this bug.